Summary: Generates and verifies checksums.
Name: brik
Version: 2.0
Release: 1
Copyright: GPL
Group: Utilities/Archiving
Source0: ftp.digital.com:/pub/usenet/comp.sources.misc/volume7/brik2/part01.Z
Source1: ftp.digital.com:/pub/usenet/comp.sources.misc/volume7/brik2/part02.Z
Source2: ftp.digital.com:/pub/usenet/comp.sources.misc/volume7/brik2/part03.Z
Packager: Mark Mitchell <mmitchell@usa.net>
%description
Brik generates and verifies 32-bit CRC values (checksums).  It is
designed to generates CRCs for text files that are the same on all
computer systems that use the ASCII chracter set, provided each text
file is in the usual text file format for that system.  Brik will also
optionally use binary CRCs calculated using every byte in a file.
Such binary CRCs are portable across systems for binary files that are
moved from system to system without any newline conversion.  Brik can
be asked to decide by examining each file whether to calculate a text
mode or binary mode DCRC for it.

%prep
rm -rf brik-2.0
mkdir brik-2.0
cd brik-2.0
for x in 01 02 03; do \
  zcat ${RPM_SOURCE_DIR}/part${x}.Z | unshar; \
done

%build
cd brik-2.0
cp makefile.nix makefile
make CC=/usr/bin/gcc CFLAGS=-O2 sys_v

%install
cd brik-2.0
install -m755 -s brik /usr/bin/brik
install -m644 -s brik.1 /usr/man/man1/brik.1

%files
/usr/bin/brik
/usr/man/man1/brik.1
%doc brik-2.0/brik.doc 
